
From: Adrian Bunk <bunk@stusta.de>

This patch makes a needlessly global function static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/irq.h   |    1 -
 kernel/irq/spurious.c |    2 +-
 2 files changed, 1 insertion(+), 2 deletions(-)

diff -puN include/linux/irq.h~kernel-irq-spuriousc-make-a-function-static include/linux/irq.h
--- 25/include/linux/irq.h~kernel-irq-spuriousc-make-a-function-static	2005-05-31 02:51:18.000000000 -0700
+++ 25-akpm/include/linux/irq.h	2005-05-31 02:51:18.000000000 -0700
@@ -208,7 +208,6 @@ extern fastcall int handle_IRQ_event(uns
 				       struct irqaction *action);
 extern fastcall unsigned int __do_IRQ(unsigned int irq, struct pt_regs *regs);
 extern void note_interrupt(unsigned int irq, irq_desc_t *desc, int action_ret, struct pt_regs *regs);
-extern void report_bad_irq(unsigned int irq, irq_desc_t *desc, int action_ret);
 extern int can_request_irq(unsigned int irq, unsigned long irqflags);
 
 extern void init_irq_proc(void);
diff -puN kernel/irq/spurious.c~kernel-irq-spuriousc-make-a-function-static kernel/irq/spurious.c
--- 25/kernel/irq/spurious.c~kernel-irq-spuriousc-make-a-function-static	2005-05-31 02:51:18.000000000 -0700
+++ 25-akpm/kernel/irq/spurious.c	2005-05-31 02:51:18.000000000 -0700
@@ -116,7 +116,7 @@ __report_bad_irq(unsigned int irq, irq_d
 	}
 }
 
-void report_bad_irq(unsigned int irq, irq_desc_t *desc, irqreturn_t action_ret)
+static void report_bad_irq(unsigned int irq, irq_desc_t *desc, irqreturn_t action_ret)
 {
 	static int count = 100;
 
_
